<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition
        xmlns:ui="jakarta.faces.facelets"
        xmlns:p="http://primefaces.org/ui"
        xmlns:f="jakarta.faces.core"
        template="/main-template.xhtml">
    <ui:define name="content">
        <div class="login-wrapper">
            <p:card style="margin-bottom: 2em">

                <p:growl id="growl" showDetail="true" for="error"/>
                <p:selectOneMenu class="language-login-select no-border" id="languages" value="#{language.current}" dynamic="true">
                    <p:ajax event="change" update="contentForm" process="@this"/>
                    <f:selectItems value="#{language.langMap().entrySet()}" var="entry" itemValue="#{entry.key}" itemLabel="#{entry.value}"/>
                </p:selectOneMenu>

                <f:facet name="title">
                    <div class="login-title">#{msg.get('app.name')}</div>
                </f:facet>

                <span class="login">
                    <span class="ui-float-label">
                       <p:inputText id="username" value="#{login.username}">
                           <p:ajax event="input" update="loginbtn"/>
                        </p:inputText>
                       <p:outputLabel for="@previous" value="#{msg.get('login.username')}"/>
                    </span>
                    <span class="ui-float-label">
                        <p:inputText id="password" value="#{login.password}" type="password">
                            <p:ajax event="input" update="loginbtn"/>
                        </p:inputText>
                        <p:outputLabel for="@previous" value="#{msg.get('login.password')}"/>
                    </span>
                    <p:selectBooleanCheckbox class="m-b-20" value="#{login.rememberMe}" id="remember-me" itemLabel="#{msg.get('login.remember-me')}"/>
                    <p:commandButton id="loginbtn" disabled="#{empty login.username or empty login.password}" action="#{login.login()}" value="#{msg.get('login.login')}" update="growl"/>

                </span>
            </p:card>
        </div>
    </ui:define>
</ui:composition>